Bug 1469347 - Support for FreeBSD on ovirt-guest-agent
Support for FreeBSD on ovirt-guest-agent
Status: NEW
Product: ovirt-guest-agent
Classification: oVirt
Component: RFEs (Show other bugs)
1.0.13
x86_64 FreeBSD
unspecified Severity low with 3 votes (vote)
: ---
: ---
Assigned To: Tomáš Golembiovský
Pavel Stehlik
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 00:23 EDT by Vinícius Ferrão
Modified: 2018-03-16 03:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Vinícius Ferrão 2017-07-11 00:23:22 EDT
Description of problem:
There's no ovirt-guest-agent releaes for FreeBSD.

How reproducible:
100%

Steps to Reproduce:
1. Look for ovirt-guest-agent for FreeBSD and just can't found it.
2. Try to compile from source, it works with: --without-sso
3. Fail to load binaries due to lack of knowledge of how ovirt-guest-agent works

Actual results:
None

Expected results:
Support for basic tools in oVirt Hosted Engine.

Additional info:
I was able to compile the latest version of ovirt-guest-agent on FreeBSD 11.0-EELEASE but I was unable to execute the required software due to lack of knowledge of how ovirt-guest-agent works. Probably a debug should de made and the software may need to be adapted to work correctly on FreeBSD.

I'm targeting 11.0-RELEASE since it supports the required virtio_console driver: https://www.freebsd.org/cgi/man.cgi?query=virtio_console&sektion=4

More information can be found on oVirt mailing list, since some users already tried/asked for the same feature in the past:

1. http://lists.ovirt.org/pipermail/users/2013-August/015770.html
2. http://lists.ovirt.org/pipermail/users/2015-June/033271.html
Comment 1 Michal Skrivanek 2017-07-12 09:53:05 EDT
didn't we have some request like that long time ago...wasn't it actually partially working?
Comment 2 Vinzenz Feenstra [evilissimo] 2017-07-13 10:00:56 EDT
@mskrivan 

Here's what I had to do on FBSD 11

pkgconf, git, autoconf and automake

git clone https://gerrit.ovirt.org/ovirt-guest-agent

cd ovirt-guest-agent

-- Applying changes from https://gerrit.ovirt.org/#/c/79395/ (When not merged yet)

mkdir -p m4
curl https://raw.githubusercontent.com/pkgconf/pkgconf/master/pkg.m4 > m4/pkg.m4
./autogen.sh
./configure --without-sso --with-sudohelper=sudo --prefix=/usr --sysconfdir=/etc 

sudo make install
sudo mkdir -p /var/log/ovirt-guest-agent /run

# You need to find the right channel it's something like /dev/ttyV0.1/2/3 or so but I am not sure which one is which just yet

sudo ln -s /dev/ttyV0.2 /dev/ovirt-guest-agent.0
sudo python2 /usr/share/ovirt-guest-agent/ovirt-guest-agent.py


This is for now the 'workaround' to get it working there would be ofc more sensible changes needed to do it for a real support and there are quite a lot of missing features - You can shutdown the system from the UI anything else I did not test and is most likely not working
Comment 3 Marco 2018-02-10 13:19:14 EST
I'm using the very popular pfSense firewall in my ovirt infrastructure; pfSense is based on FreeBSD.
It would be great to have ovirt-guest-agent also fot this platform.
Comment 4 Sandro Bonazzola 2018-03-16 03:15:58 EDT
FreeNas is also freebsd based and it ships by default vmware agent.
It would be nice to get ovirt agent on it as well but for doing so we need the guest agent to run on freebsd too.

Note You need to log in before you can comment on or make changes to this bug.